For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet lifecycle trends
      • GETGet instance information
      • POSTSend Unleash feedback
      • GETGet UI configuration
      • POSTSets allowed CORS origins
      • PUTUpdate Unleash feedback
      • POSTUpdate splash settings
      • POSTAccepts errors from the UI client

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIAdmin UI

Get instance information

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/insights
GET
/api/admin/insights
$curl https://app.unleash-instance.example.com/api/admin/insights \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "userTrends": [
3 {
4 "date": "2024-01-12T23:59:59.999Z",
5 "total": 100,
6 "active": 98,
7 "inactive": 2
8 }
9 ],
10 "flagTrends": [
11 {
12 "date": "2024-01-12T23:59:59.999Z",
13 "total": 100,
14 "active": 98,
15 "stale": 0,
16 "potentiallyStale": 2
17 }
18 ],
19 "projectFlagTrends": [
20 {
21 "week": "2024-40",
22 "project": "default",
23 "date": "2024-01-12T23:59:59.999Z",
24 "total": 100,
25 "active": 98,
26 "stale": 0,
27 "potentiallyStale": 2,
28 "health": 50,
29 "technicalDebt": 20,
30 "timeToProduction": 10,
31 "users": 30
32 }
33 ],
34 "metricsSummaryTrends": [
35 {
36 "week": "2024-01",
37 "date": "2024-01-12T23:59:59.999Z",
38 "project": "default",
39 "totalRequests": 50,
40 "totalYes": 50,
41 "totalNo": 50,
42 "totalApps": 50,
43 "totalFlags": 50,
44 "totalEnvironments": 50
45 }
46 ],
47 "environmentTypeTrends": [
48 {
49 "date": "2024-01-12T23:59:59.999Z",
50 "week": "2024-01",
51 "environmentType": "production",
52 "totalUpdates": 50
53 }
54 ],
55 "lifecycleTrends": [
56 {
57 "week": "2024-15",
58 "date": "2024-04-12T23:59:59.999Z",
59 "newProductionFlags": 5,
60 "project": "default"
61 }
62 ],
63 "creationArchiveTrends": [
64 {
65 "week": "2024-15",
66 "date": "2024-04-12T23:59:59.999Z",
67 "project": "default",
68 "createdFlags": {
69 "experiment": 5,
70 "release": 2,
71 "operational": 1
72 },
73 "archivedFlags": 3
74 }
75 ]
76}

Enterprise feature

Gets high level information about the usage of this Unleash instance, including user, project, and flag information.

Was this page helpful?
Previous

Send Unleash feedback

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Query parameters

fromstringOptional

The beginning of the date range in yyyy-MM-dd format

tostringOptional

The end of the date range in yyyy-MM-dd format

Response

instanceInsightsSchema
userTrendslist of objects
How number of users changed over time
flagTrendslist of objects
How number of flags changed over time
projectFlagTrendslist of objects
How number of flags per project changed over time
metricsSummaryTrendslist of objects
How metrics data per project changed over time
environmentTypeTrendslist of objects
How updates per environment type changed over time
lifecycleTrendslist of objects
Weekly count of new flags entering production
creationArchiveTrendslist of objects
Weekly count of created vs archived flags by project and flag type